Bug 210788 - (pear-Date-Holidays) Review Request: php-pear-Date-Holidays - Driver based class to calculate holidays
Review Request: php-pear-Date-Holidays - Driver based class to calculate holi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: pear-XML-Serializer
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-14 21:02 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 00:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-14 21:02:34 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Date-Holidays.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Date-Holidays-0.16.1-1.src.rpm

Description:
Date_Holidays helps you calculating the dates and titles of holidays and
other special celebrations. The calculation is driver-based so it is easy
to add new drivers that calculate a country's holidays. The methods of the
class can be used to get a holiday's date and title in various languages.
Comment 1 Jason Tibbitts 2006-10-29 00:15:01 EDT
* source files match upstream:
   84dcf7f0c92afdf08b9c1d761a8ca89f  Date_Holidays-0.16.1.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(Date_Holidays) = 0.16.1
   php-pear-Date-Holidays = 0.16.1-1.fc7
  =
   /bin/sh
   /usr/bin/pear
   /usr/bin/php
   php-pear(Console_Getargs)
   php-pear(Date)
   php-pear(PEAR)
   php-pear(XML_Serializer)
* %check is not present.  Test suite run manually and all tests pass:
   TestCase Date_Holidays_TestSuite->testFactory() passed
   TestCase Date_Holidays_TestSuite->testFactoryISO3166() passed
   TestCase Date_Holidays_Driver_TestSuite->testAddCompiledTranslationFile() passed
   TestCase Date_Holidays_Driver_TestSuite->testAddTranslationFile() passed
   TestCase Date_Holidays_Driver_TestSuite->testIsHoliday() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetHolidays() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetHoliday() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetHolidayDate() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetHolidayDates() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetHolidayForDate() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetHolidayProperties() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetHolidaysForDatespan() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetHolidayTitle() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetHolidayTitles() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetInternalHolidayNames() passed
   TestCase Date_Holidays_Driver_TestSuite->testGetYear() passed
   TestCase Date_Holidays_Driver_TestSuite->testSetYear() passed
   TestCase Date_Holidays_Driver_Christian_TestSuite->testHolidays2005() passed
   TestCase Date_Holidays_Driver_Germany_TestSuite->testHolidays2005() passed
   TestCase Date_Holidays_Driver_Germany_TestSuite->testHolidays2006() passed
   TestCase
Date_Holidays_Driver_Germany_TestSuite->testHolidays2005stampsAndSavingsDay() passed
   TestCase Date_Holidays_Driver_Jewish_TestSuite->testHolidays2005() passed
   TestCase Date_Holidays_Driver_PHPdotNet_TestSuite->testHolidays2005() passed
   TestCase Date_Holidays_Driver_UNO_TestSuite->testHolidays2005() passed
   TestCase Date_Holidays_Driver_USA_TestSuite->test_holidays_2005() passed
   TestCase Date_Holidays_Driver_USA_TestSuite->test_holidays_2004() passed
   TestCase Date_Holidays_Driver_USA_TestSuite->test_holidays_2006() passed
   TestCase Date_Holidays_Driver_USA_TestSuite->test_holidays() passed
   TestCase Date_Holidays_Driver_Sweden_TestSuite->testHolidays2005() passed
   TestCase Date_Holidays_Driver_Sweden_TestSuite->testHolidays2006() passed
   TestCase Date_Holidays_Driver_Sweden_TestSuite->testGermanTranslations() passed
   TestCase
Date_Holidays_Driver_Sweden_TestSuite->testcompiledGermanTranslations() passed

* owns the directories it creates.  (/usr/share/pear/Date is owned by a dependency).
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (pear module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Christopher Stone 2006-10-29 00:38:50 EDT
Built for devel, will look into seeing if I can run the tests in %check.  Thanks
for the review.
Comment 3 Christopher Stone 2007-04-21 13:53:57 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-Date-Holidays
Short Description: Driver based class to calculate holidays
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.